"""empty message

Revision ID: 24aec3c56623
Revises:
Create Date: 2023-05-27 10:48:15.741390

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
import nonebot_plugin_nagabus

revision = "24aec3c56623"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "nonebot_plugin_nagabus_majsoul_paipu",
        sa.Column("paipu_uuid", sa.String(), nullable=False),
        sa.Column("content", sa.String(), nullable=False),
        sa.PrimaryKeyConstraint("paipu_uuid"),
    )
    op.create_table(
        "nonebot_plugin_nagabus_order",
        sa.Column("haihu_id", sa.String(), nullable=False),
        sa.Column("customer_id", sa.Integer(), nullable=False),
        sa.Column("cost_np", sa.Integer(), nullable=False),
        sa.Column(
            "source",
            sa.Enum("tenhou", "majsoul", name="nagaordersource"),
            nullable=False,
        ),
        sa.Column("model_type", sa.Integer(), nullable=False),
        sa.Column(
            "status",
            sa.Enum(
                "ok",
                "pending",
                "analyzing",
                "failed",
                "failed2",
                name="nagaorderstatus",
            ),
            nullable=False,
        ),
        sa.Column("naga_report", sa.String(), nullable=True),
        sa.Column(
            "create_time",
            nonebot_plugin_nagabus.data.utils.utc_datetime.UTCDateTime(),
            nullable=False,
        ),
        sa.Column(
            "update_time",
            nonebot_plugin_nagabus.data.utils.utc_datetime.UTCDateTime(),
            nullable=False,
        ),
        sa.PrimaryKeyConstraint("haihu_id"),
    )
    op.create_table(
        "nonebot_plugin_nagabus_majsoul_order",
        sa.Column("naga_haihu_id", sa.String(), nullable=False),
        sa.Column("paipu_uuid", sa.String(), nullable=False),
        sa.Column("kyoku", sa.Integer(), nullable=False),
        sa.Column("honba", sa.Integer(), nullable=False),
        sa.Column("model_type", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["naga_haihu_id"],
            ["nonebot_plugin_nagabus_order.haihu_id"],
            ondelete="cascade",
        ),
        sa.PrimaryKeyConstraint("naga_haihu_id"),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("nonebot_plugin_nagabus_majsoul_order")
    op.drop_table("nonebot_plugin_nagabus_order")
    op.drop_table("nonebot_plugin_nagabus_majsoul_paipu")
    # ### end Alembic commands ###
